jQuery.extend(jQuery, {
    getDateString: function(date,hastime)
    {
        var yy = date.getFullYear();
        var mm = $.toTwoDigits(date.getMonth()+1);
        var dd = $.toTwoDigits(date.getDate());

        var str = dd+'.'+mm+'.'+yy;
        if( hastime)
        {        
            var h = $.toTwoDigits(date.getHours());
            var m = $.toTwoDigits(date.getMinutes());
            str = str+' '+h+':'+m;
        }
        //alert( date + ' --> ' + str );
        return str;
    },
    
	toTwoDigits: function(i)
    {
	    if( parseInt(i,10) < 10 ) return '0' + parseInt(i,10).toString();
	    return i;
	}
});